
Ryzom - Feature # 942

Status: Closed Priority: Normal
Author: kervala Category: OS: GNU/Linux
Created: 05/26/2010 Assignee: kervala
Updated: 01/08/2011 Due date:
Subject: Make all keys used for actions/macros identical on all platforms
Description

Currently, Windows is using "virtual keys" and all keyboards keys have a name. Under Linux and Mac OS, each key has the name of
its content but not its position in keyboard layout. While we need to use already defined key names in "nel/misc/events.h", we can't
map most of these keys.

We should map all identical key to the same key name under all platform (even if new keys can be created as needed).

Related issues:
related to Ryzom - Feature # 952: Use the same Mac key mapping with Cocoa and... Rejected 05/31/2010

History
#1 - 05/26/2010 02:41 pm - kervala
- Status changed from Validated to Assigned
- Assignee set to kervala

#2 - 05/26/2010 02:52 pm - kervala
- File keycodes.patch added

I attached a patch which would work but keycodes are different under some platform (Mac OS X) so it needs some testing before applying it :)

#3 - 05/27/2010 10:09 am - kervala
- % Done changed from 0 to 90

Only a few keys are not yet defined, please post missing keycodes which are not in the switch block :) Thanks.

#4 - 05/27/2010 10:09 am - kervala
- File deleted (keycodes.patch)

#5 - 05/28/2010 01:22 am - rti

Did you test the current version already on a Mac? 
For me, several number keys are not mapped correctly. Eg. 1 maps to 7, 2 to nothing, 3 to 8.

If you did not test it on another Mac machine, I could adjust it to match my system :)

#6 - 05/28/2010 09:11 am - kervala

Yes please could you adjust to your keycodes ? (I still can't launch xev on my Mac OS X :s)
Thanks a lot :)

#7 - 05/28/2010 11:09 am - rti

Sure. Will have a look into that.

#8 - 05/31/2010 01:19 pm - kervala
- Status changed from Assigned to Resolved
- Target version set to Version 0.8.0
- % Done changed from 90 to 100

#9 - 07/28/2010 09:58 am - kervala
- Category changed from NeL: General to OS: GNU/Linux

#10 - 01/08/2011 06:51 pm - kervala
- Status changed from Resolved to Closed
